> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.dintero.com/feedback

```json
{
  "path": "/api-reference/customer-receipts/customer-receipts-collection",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Customer Receipts collection

> Get the receipts for a customer

scopes:
- admin:receipts
- read:receipts
- user:receipts




## OpenAPI

````yaml /mintlify-docs/openapi/spec-receipts.yaml get /accounts/{aid}/receipts/customers/{customer_id}
openapi: 3.0.0
info:
  title: Receipts API
  description: >
    API for managing receipts


    ## Changelog

    All notable changes to the API.


    ## 2025-05-01


    > **update**: Extend enum for `receipt.entry_status` with new `Reprinted`
    value


    ## 2024-04-01


    > **update**: Remove enum requirement for `receipt.enrolled_by.type` and

    > add support for more `receipt.customer.type`.

    > See
    https://docs.dintero.com/customers-api.html#section/Changelog/2024-03-01


    ## 2023-07-01


    > **new** add support for `items.[].bonus_lines`, discounts with `bonus`
    refs and `total_bonus`

    > - [POST
    /v1/accounts/{aid}/receipts](#tag/receipts/operation/aid_receipts_post)


    ## 2020-05-01


    > Fix the documentation for the response from listing customer receipts. The

    > receipts response was missing receipt items.

    > - [GET
    /receipts/customers/{customer_id}](#operation/aid_receipts_customers_cid_get)


    ## 2019-12-31


    > Add support for `token_expire_days` parameter when creating

    > receipt. The token added to the receipt can be used to retrieve and claim

    > it.

    > - [POST /receipts](#operation/aid_receipts_post)

    > - [GET /receipts/receipt-token](#operation/aid_receipts_receipt_token_get)

    > - [POST
    /receipts/receipt-token](#operation/aid_receipts_receipt_token_post)


    ## 2019-11-31


    > Improve documentation for receipt `receipt_id` property,

    > a non-empty value is required when creating receipts.

    > - [POST /receipts](#operation/aid_receipts_post)


    ## 2019-07-31


    > Extend the receipt format with `store.mcc` property,

    > a four-digit merchant category code for classifying the merchant

    > - [POST /receipts](#operation/aid_receipts_post)

    > - ISO 18245 https://www.iso.org/standard/33365.html


    ## 2019-06-31


    > The scope required for accessing endpoint has changed,

    > we will continue to support the old scopes but they was removed from

    > the documentation


    ## 2018-11-26


    > Extend the `receipt.store` object with `business_name`,

    > an optional property for the store legal name.


    ## 2018-06-04


    > Moved endpoint for search for receipt by receipt_id query parameter

    > - [GET /receipts/search](#operation/aid_receipts_rid_get)


    > Add support for updating anonymous receipt with

    > customer_id and discounts.

    > - [PUT /receipts/all/{receipt_id}](#operation/aid_receipts_update_put)


    ## 2018-04-11


    > Rename property `store.created_on_terminal_id` to

    > `store.terminal_id`.


    > Extend `receipt.discount.refs`. Add `statistics` object

    > and stamp property to refs. The statistics object includes total amount,

    > usage, stamp and current debit_balance.


    > Correct type of `receipt.discount.refs.items.amount` to integer

    > (was string).


    ## 2018-02-02


    > Extend receipt.discounts.refs.

    > Include amount and how the amount was applied to the receipt.items in

    > discount.refs

    > - [POST
    /discounts/available_for_receipt](#operation/aid_discounts_available_for_receipt_post)


    ## 2017-12-04


    > Add `refs` to receipt discounts. The value

    > is used to record the reference between the owner of the

    > discount and how many times the discount was used on the

    > purchase.


    > Add monetary string properties suffixed with `_dwh`.

    > The new values can be used to store monetary value with

    > a resolution higher than the smallest unit for the

    > currency.


    > Define required properties for a receipt.

    > - *receipt.store.id* *receipt.receipt_id* *receipt.purchase_at*


    > Move `customer_id` from receipt customer to

    > receipt.


    ## 2017-11-22


    > Move receipt `customer_*` properties into a

    > customer object.

    > - *customer_id* => *customer.customer_id*

    > - *customer_token_id* => *customer.token.token_id*

    > - *customer_token* => *customer.token.value*

    > - *customer_token_type* => *customer.token.value*

    > - *customer_pays_tax* => *customer.pays_tax*


    > Add support for more customer properties

    > in the receipt, (first_name, last_name, email,

    > phone_number, metadata, address and status).


    > Add support for adding delivery details to

    > the receipt. `receipt.delivery`.


    ## 2017-10-29


    > Add line_id property to Receipt infocode_items (InfoCodeItem).


    ## 2017-10-27


    > Change `dimension_lines` property to `dimension`

    > for Receipt items (ReceiptItem).


    > Fix typo, rename *card_amound* property to

    > `card_amount` for Payment card_info (CardInfo).
  contact:
    name: API Integration Support
    email: integration@dintero.com
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
servers:
  - url: https://api.dintero.com/v1
security:
  - JWT: []
paths:
  /accounts/{aid}/receipts/customers/{customer_id}:
    get:
      tags:
        - customer receipts
      summary: Customer Receipts collection
      description: |
        Get the receipts for a customer

        scopes:
        - admin:receipts
        - read:receipts
        - user:receipts
      operationId: aid_receipts_customers_cid_get
      parameters:
        - $ref: '#/components/parameters/accountId'
        - $ref: '#/components/parameters/customerId'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/startingAfter'
      responses:
        '200':
          description: Receipt collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  receipts:
                    type: array
                    items:
                      $ref: '#/components/schemas/ReceiptMinimal'
                  starting_after:
                    type: string
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - JWT: []
components:
  parameters:
    accountId:
      name: aid
      description: |
        An id that uniquely identifies the account.
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}\d{8}$
        minLength: 9
        maxLength: 9
    customerId:
      name: customer_id
      description: |
        The customer id you have defined for the customer.
        (must not have trailing or leading spaces)
      in: path
      required: true
      schema:
        type: string
        maxLength: 255
    limit:
      name: limit
      in: query
      description: |
        A limit on the number of objects to be returned. Limit can range
        between 1 and 100 items, and the default is 10 items.
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
    startingAfter:
      name: starting_after
      in: query
      description: |
        cursor for use in pagination. starting_after is an object ID
        that defines your place in the list. For instance, if you make
        a list request and receive 100 objects, end the result contains
          `paging_token=pt1`, your subsequent call can include
        `starting_after=pt1` in order to fetch the next page of the list.
      required: false
      schema:
        type: string
  schemas:
    ReceiptMinimal:
      allOf:
        - $ref: '#/components/schemas/Entity'
        - properties:
            store:
              $ref: '#/components/schemas/Store'
            items:
              type: array
              items:
                $ref: '#/components/schemas/ReceiptItem'
            gross_amount:
              type: integer
              example: 47840
              description: |
                Monetary amount in smallest unit for the currency
            net_amount:
              type: integer
              example: 38000
              description: |
                Monetary amount in smallest unit for the currency
                after discounts
            currency:
              type: string
              example: NOK
              description: |
                The three-character ISO-4217 currency.
                https://en.wikipedia.org/wiki/ISO_4217
            purchase_at:
              type: string
              format: date-time
    Entity:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: |
            An UUID that uniquely identifies the resource
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: |
            The date-time when the resource was created
          readOnly: true
        created_by:
          type: string
          example: 1c92f7e1-2897-4d46-bdcc-c127a914fb4e
          description: |
            The ID of the user/client created the resource
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: |
            The date-time when the resource was last updated
          readOnly: true
        deleted_by:
          type: string
          example: 1c92f7e1-2897-4d46-bdcc-c127a914fb4e
          description: |
            The ID of the user/client created the resource
          readOnly: true
        deleted_at:
          type: string
          format: date-time
          readOnly: true
    Store:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          example: sc029
        name:
          type: string
          description: |
            name of the store, aka trade name of the store
          example: SC Oslo
        business_name:
          type: string
          description: |
            Official name of the person or entity that owns the store.
          example: SC Oslo AS
        address:
          $ref: '#/components/schemas/Address'
        chain:
          type: string
          example: SuperChain
        email:
          type: string
          example: contact@superchain.com
        gln:
          type: string
          example: '5790001398644'
        organization_number:
          type: string
          example: 123456789MVA
        phone_number:
          type: string
          example: '+4738260107'
        mcc:
          type: string
          format: iso-18245
          description: |
            A four-digit Merchant Category Code (MCC) for the store
            [ISO 18245:2003](https://www.iso.org/standard/33365.html)
          example: '5814'
          minimum: 4
          maximum: 4
        bax:
          type: string
          example: '102603'
          description: |
            Merchant number associated with the stores
            payment terminal
        terminal_id:
          type: string
          description: |
            Id to a specific point-of-sale (POS) terminal
            or workstation
          example: T0292
        payout_destination_id:
          type: string
          maxLength: 40
          description: |
            The payout destination id for the merchant of record,
            i.e. the seller responsible for the transaction.

            Required when `seitatech.in_person` payment is enabled.
          example: seller-1
    ReceiptItem:
      type: object
      properties:
        id:
          type: string
          example: '175938'
        groups:
          type: array
          example:
            - id: B234
              name: Stol
            - id: B1
              name: Møbel
          items:
            type: object
            required:
              - id
            properties:
              id:
                type: string
                description: group id
              name:
                type: string
                description: group name
        quantity:
          type: number
          example: 2
          default: 1
        unit:
          type: string
          example: stk
          description: unit type
        description:
          type: string
          example: Stablestol for utendørsbruk
        description_alias:
          type: string
          example: Stablestol
        net_amount:
          type: integer
          example: 27840
          description: |
            Monetary amount in smallest unit for the currency
            after discounts for items in this line
        net_amount_dwh:
          type: string
          example: '27840.10'
          description: |
            Monetary amount in smallest unit for the currency
            after discounts for items in this line in decimal
        gross_amount:
          type: integer
          example: 39800
          description: |
            Monetary amount in smallest unit for the currency
            before discounts for items in this line
        gross_amount_dwh:
          type: string
          example: '34800.12'
          description: |
            Monetary amount in smallest unit for the currency
            before discounts for items in this line in decimal
        unit_gross_price:
          type: integer
          example: 10900
        tax_percent:
          type: number
          example: 25
        line_id:
          type: integer
          example: 1
        barcode:
          type: string
          example: '3123212343212'
        cost_price:
          type: integer
          example: 2033
          description: The purchase price the company pay for item
        voided:
          type: boolean
          example: false
        scale_item:
          type: boolean
          example: false
          description: |
            The price is calculated from scale (weight/volume).
        eligible_for_discount:
          type: boolean
          example: true
        included_in_total_discount:
          type: boolean
          example: true
        price_has_been_keyedIn:
          type: boolean
          example: false
        discount_has_been_keyedIn:
          type: boolean
          example: false
        is_return_item:
          type: boolean
          example: false
        is_linked_item:
          type: boolean
          example: false
        is_virtual_product:
          type: boolean
          example: false
        is_changed:
          description: Discount applied to gross amount
          type: boolean
          example: true
        salesperson_id:
          type: string
          description: |
            Id of the sales person if other
            then the operator
          example: '000111'
        salesperson_name:
          type: string
          description: |
            Name of the sales person
          example: Jesper
        serial_id:
          type: string
          example: '32424234231312312'
        comment:
          type: string
          example: Kan være hva som helst
        infocode_lines:
          type: array
          items:
            $ref: '#/components/schemas/InfoCodeItem'
        tax_lines:
          type: array
          items:
            $ref: '#/components/schemas/TaxItem'
        dimension:
          $ref: '#/components/schemas/Dimension'
        discount_lines:
          type: array
          items:
            $ref: '#/components/schemas/DiscountItem'
        bonus_lines:
          type: array
          items:
            $ref: '#/components/schemas/BonusItem'
        extra_info:
          type: array
          items:
            $ref: '#/components/schemas/ExtraInfo'
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
    Address:
      type: object
      required:
        - address_line
        - postal_place
        - country
      properties:
        address_line:
          type: string
          example: Sommerkroveien 34
        address_line_2:
          type: string
          example: PB 123
        postal_code:
          type: string
          example: '0349'
        postal_place:
          type: string
          example: Oslo
        country:
          type: string
          format: iso-3166-1
          description: |
            ISO 3166-1 country code
          example: 'NO'
    InfoCodeItem:
      type: object
      properties:
        line_id:
          type: integer
          example: 1
        amount:
          type: integer
          description: |
            Monetary amount in smallest unit for the currency
        amount_dwh:
          type: string
          example: '1.14'
          description: Monetary value with decimal
        infocode_id:
          type: string
        sub_infocode_id:
          type: string
        information:
          type: string
        input_type:
          type: integer
        withdrawal_from_stock:
          type: boolean
          example: false
    TaxItem:
      type: object
      properties:
        amount:
          type: integer
          example: 5584
          description: |
            Monetary amount in smallest unit for the currency
        amount_dwh:
          type: string
          example: '5584.0440'
          description: Monetary value with decimal
        exempt:
          type: boolean
          example: false
        included_in_price:
          type: boolean
          example: true
        percentage:
          type: number
          example: 25
        tax_basis:
          type: integer
          example: 27920
          description: Total monetary value without tax
        tax_basis_dwh:
          type: string
          example: '27920.22'
          description: Total monetary value without tax in decimal
        tax_code:
          type: string
          example: '3'
        tax_group:
          type: string
          example: Vmva-høy
    Dimension:
      type: object
      description: |
        Identify item attributes, such as size and color
      properties:
        color:
          type: string
        size:
          type: string
        style:
          type: string
        config:
          type: string
        variant:
          type: string
    DiscountItem:
      type: object
      properties:
        amount:
          type: integer
          example: 4400
          description: |
            Monetary amount in smallest unit for the currency
        percentage:
          type: number
          description: |
            Optional, set if the amount given was from a percentage discount
          example: 44
        discount_type:
          $ref: '#/components/schemas/DiscountType'
        discount_id:
          type: string
          example: 766da0ef-9283-42bd-b012-0582344ec53c
        description:
          type: string
        line_id:
          type: integer
          example: 1
    BonusItem:
      type: object
      properties:
        bonus:
          type: integer
          example: 3130
          description: Bonus in smallest unit for the currency
        percentage:
          type: number
          description: |
            Optional, set if the bonus given was from a percentage discount
          example: 10
        discount_type:
          $ref: '#/components/schemas/DiscountType'
        discount_id:
          type: string
          example: 766da0ef-9283-42bd-b012-0582344ec53c
        description:
          type: string
        line_id:
          type: integer
          example: 1
    ExtraInfo:
      type: object
      properties:
        key:
          type: string
        value:
          type: string
        value_type:
          type: string
          enum:
            - string
            - integer
            - number
            - boolean
            - datetime
    DiscountType:
      type: string
      enum:
        - customer
        - periodic
        - manual
        - loyalty
        - total
        - employee
        - external
  responses:
    AccessForbidden:
      description: Access forbidden, invalid JWT token was used
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    JWT:
      type: http
      description: >
        Bearer authentication (token authentication) should be used for
        accessing the API.


        Use [Get
        Token](https://docs.dintero.com/api.html#operation/aid_auths_oauth_token_post)
        to get an access token for client credentials.

        Pass the token in the request header:

            Authorization: Bearer {access_token}

        where the **access_token** is JSON Web Tokens (JWT).
      scheme: bearer
      bearerFormat: JWT

````